Package org.springframework.security.acls.domain

# Class GrantedAuthoritySid

java.lang.Object
org.springframework.security.acls.domain.GrantedAuthoritySid

All Implemented Interfaces:
  `Serializable`, `Sid`

public class GrantedAuthoritySid extends Object implements Sid
Represents a `GrantedAuthority` as a `Sid`.

This is a basic implementation that simply uses the `String`-based principal for `Sid` comparison. More complex principal objects may wish to provide an alternative `Sid` implementation that uses some other identifier.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`GrantedAuthoritySid(String grantedAuthority)`
`GrantedAuthoritySid(org.springframework.security.core.GrantedAuthority grantedAuthority)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object object)`
Refer to the `java.lang.Object` documentation for the interface contract.
`String`
`getGrantedAuthority()`
`int`
`hashCode()`
Refer to the `java.lang.Object` documentation for the interface contract.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GrantedAuthoritySid

public GrantedAuthoritySid(String grantedAuthority)

### GrantedAuthoritySid

public GrantedAuthoritySid(org.springframework.security.core.GrantedAuthority grantedAuthority)

## Method Details

### equals

public boolean equals(Object object)
Description copied from interface: `Sid`
Refer to the `java.lang.Object` documentation for the interface contract.

Specified by:
  `equals` in interface `Sid`
Overrides:
  `equals` in class `Object`
Parameters:
  `object` - to be compared
Returns:
  `true` if the objects are equal, `false` otherwise

### hashCode

public int hashCode()
Description copied from interface: `Sid`
Refer to the `java.lang.Object` documentation for the interface contract.

Specified by:
  `hashCode` in interface `Sid`
Overrides:
  `hashCode` in class `Object`
Returns:
  a hash code representation of this object

### getGrantedAuthority

public String getGrantedAuthority()

### toString

public String toString()

Overrides:
  `toString` in class `Object`